Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 17 Apr 2014, 23:03
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Installation de Wine
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [29 Posts]   Goto page: 1, 2 Next
Author Message
Rogebe

Joined: 14 May 2007
Posts: 17

PostPosted: Wed 23 May 2007, 00:36    Post subject:  Installation de Wine  

Bonjour,

J'ai suivi cette procédure pour installer Wine
http://puppylinux.org/wikka/LeProgrammeRenegat11Wine
mais je n'y arrive pas à démarrer le programme.
J'ai beau chercher des explications je ne trouve pas l'origine de mon problème.

Une idée ?

Merci

RGB
Back to top
View user's profile Send private message 
gdemonta


Joined: 19 Feb 2007
Posts: 190
Location: Paris, France

PostPosted: Wed 23 May 2007, 06:15    Post subject:  

Bonjour RGB,
Peut tu poster le message d'erreur qui t'apparait lorsaue tu essaye d'utiliser wine (je ne l'ai jamais utilisé mais je vais essayer de voir si je trouve quelque chose en anglais sur le forum pour te depanner.
Merci,
Guillaume

_________________
Dumbledore: "The evidence of the Dark Lord's return is incontrovertible"
IBM X31 - Puppy 2.16 Hard disk install with EZpup
Back to top
View user's profile Send private message 
Rogebe

Joined: 14 May 2007
Posts: 17

PostPosted: Wed 23 May 2007, 06:38    Post subject:  

Salut Guillaume,

Ben le problème c'est qui en a pas, pas de démarrage du tout.
Pourtant, j'ai l'extraction du fichier taz dans / et je trouve bien winfile dans /usr/bin.
Normalement d'aprés ce que j'ai compris je dois cliquer sur l'icone pour démarrer l'explorateur mais la rien, rien du tout ???

Ca m'échappe et je trouve pas de doc pour trouver un solution.

A+
RGB
Back to top
View user's profile Send private message 
Rogebe

Joined: 14 May 2007
Posts: 17

PostPosted: Wed 23 May 2007, 07:32    Post subject:  

J'ai trouvé ça

http://murga-linux.com/puppy/viewtopic.php?search_id=43243210&t=18069

Est ce que ca aide ???

RGB
Back to top
View user's profile Send private message 
gdemonta


Joined: 19 Feb 2007
Posts: 190
Location: Paris, France

PostPosted: Wed 23 May 2007, 08:01    Post subject:  

Wine a besoin de librairies additionnelles pour fonctionner. Peut être que ce wiki n'est pas a jour. je te conseille plutot de suivre ceci. Je n'ai pas trop le temps de le traduire, fait ce que tu peux et reviens vers moi si cela ne va pas.
_________________
Dumbledore: "The evidence of the Dark Lord's return is incontrovertible"
IBM X31 - Puppy 2.16 Hard disk install with EZpup
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 1847
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Wed 23 May 2007, 12:16    Post subject:  

bonjour

à mon avis, il y a un problème de compatibilité sur les versions de wine supérieures à celle-ci:

wine-0.9.16-i486-S10.2

(du site Wine-HQ, downloads etc..., version pour slackware) surtout sur les nouvelles versions de puppy (à partir de 2.10)

celle ci fonctionne toujours comme une horloge!

et malheureusement ce dotpup ne fonctionne plus non plus

Wine-mime-type-for-Rox-1.2.pup

dans les mêmes versions récentes de puppy

(vraiment superpratique: rox peut démarrer tout programme windows ou un simple clic sur une icône sur le bureau ou dans la recherche Rox classique)

qui veut utiliser puppy et wine dans de bonnes conditions doit arrêter à la version Puppy 2.02 environ (qui est excellente et très très stable. seul inconvénient réel: pas de clavier sans fil possible. seulement à partir de 2.11 si je me rappelle bien). 2.02 existe en excellentes versions bureautique avec open office d'emblée. c'est aussi un avantage! voir les téléchargements spéciaux sur le site murga.

intallation de wine de winehq: positionner le paquet dans /
cliquer dessus avec rox
marquer tout
décomprimer tout
aller dans le classeur /usr/bin
cliquer tout après tour sur winemaker, winebuild et winecfg (si je me rappelle bien, comme on ne le fait que très rarement! peut-être aussi wineboot?)
au passage, vérifier les réglages dans winecfg (le son, les classeurs, etc. mais on peut aussi y revenir plus tard quand ça marche)

placer l'icône de "winefile" sur le bureau. si on glisse avec rox l'icône d'un programme windows sur l'icône de winefile, le plus souvent, winefile s'ouvre au point voulu, et on n'a plus qu'à cliquer pour démarrer ce programme

mais encore plus pratique:

installer le dotpup

Wine-mime-type-for-Rox-1.2.pup

théoriquement wine est prêt

où le trouve-t-on pour rajouter des polices de caractères, etc:

\root\.wine\etc...

c'est là qu'est la pseudo partition C:\ de Wine!

la vraie partition C:\ de l'ordi est à \mnt\...\hda1 !

(et c'est ce changement d'adressage qui fait que beaucoup de programmes ne fonctionnent pas sous wine comme sous windows et souvent rien d'autre. un seul programme en tient vraiment compte: K-Meleon version pour linux - comme c'est un navigateur de la famille Mozilla qui n'a pas de vraie version linux, on peut le lancer via Wine et il a 2 catégories de réglages de démarrage: avec l'adressage Windows norma, et avec l'adressage Linux)

programme très utile qui fonctionne comme une horloge dans wine: la messagerie nPOPQ en français! que ce soit en wine ou en windows, rien ne change et tout est accessible dans la même version

autre programme de ce genre: le multi-messenger Miranda

grâce à ces 2 programmes, on ne perd pas du tout le contact avec quiconque ou une partie de ses messages quand on change d'environnement!

bonne chance!

cordialement

oui
Back to top
View user's profile Send private message 
Rogebe

Joined: 14 May 2007
Posts: 17

PostPosted: Wed 23 May 2007, 12:29    Post subject:  

Bon ben je m'en sort pas trop.
En fait j'ai suivi ça :



!! Important !!
If you had an older version installed, delete ALL files in /usr/lib/wine/ first Exclamation

use this dotpup:
http://dotpups.de/dotpups/Emulators/Wine-0.9.28.pup (8 MB)
OR this .sfs (9 MB):
http://dotpups.de/dotpups/Emulators/Wine-0.9.28_212.sfs

If you dont use Puppy 2.12, rename it to Wine-0.9.28_XXX.sfs
where XXX is your Puppyversion. This will not work in Puppy 2.10.
The .sfs must be placed in /mnt/home (only if that exists, do not create that on your own).
Then reboot and type in a consolewindow:
update-mime-database /usr/share/mime
rox -o -p /root/Choices/ROX-Filer/PuppyPin
Ca j'avoue que j'ai pas bien compris, je me suis contenter de redémarrer, en tapant la ligne en mode console, la commande est no found
J'arrive bien a avoir un .wine dans /root/.wine, mais impossible de trouver le winecfg dont il parle ci dessous
Run "winecfg" from a consolewindow or from the dotpups-menu.
Et j'ai essayer de télécharger le fichier ci dessous mais sans succés.
A la fin dans le dotpup, je n'avais plus la liste des programmes ???

If it will not launch, install this pre-configured "/root/.wine":
http://dotpups.de/dotpups/Emulators/Wine-0.9.22/Wine-0.9.22-drive_c-and-Wordview.pup
OR
http://dotpups.de/dotpups/Emulators/Wine-0.9.22/Wine-0.9.22-drive_c-and-Opera-9.02-Flash9.pup

Et au bout de 2 heures j'ai du laisser tomber et repartir à zéro avec pupfix=ram.

Pas facile, je maitrise pas encore assez les différents répertoires et leurs utilités, ainsi que les commandes, et le dotpup et pupget on en parle pas.

Bref j'ai un peu le noir, même si c'est écrit en rouge.

Salut,
A+
RGB
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Wed 23 May 2007, 13:11    Post subject:  

Moi j'ai laissé tombé les versions ultérieures et j'ai démarré avec 0.9.35
Voir http://www.murga-linux.com/puppy/viewtopic.php?search_id=178856906&t=17359
Malheureusement en Anglais.

Si quelque chose ne va pas, je vais dans un terminal rxvt et je tape la commande (p.e. winecfg ou winefile) pour voir s'il n'y a pas de message d'erreur.
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 1847
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Wed 23 May 2007, 15:16    Post subject:  

bonjour

Rogebe wrote:
Bon ben je m'en sort pas trop.
En fait j'ai suivi ça :



!! Important !!
If you had an older version installed, delete ALL files in /usr/lib/wine/ first Exclamation

use this dotpup:
http://dotpups.de/dotpups/Emulators/Wine-0.9.28.pup (8 MB)
OR this .sfs (9 MB):
http://dotpups.de/dotpups/Emulators/Wine-0.9.28_212.sfs

If you dont use Puppy 2.12, rename it to Wine-0.9.28_XXX.sfs
where XXX is your Puppyversion. This will not work in Puppy 2.10.
The .sfs must be placed in /mnt/home (only if that exists, do not create that on your own).
Then reboot and type in a consolewindow:
update-mime-database /usr/share/mime
rox -o -p /root/Choices/ROX-Filer/PuppyPin
Ca j'avoue que j'ai pas bien compris, je me suis contenter de redémarrer, en tapant la ligne en mode console, la commande est no found
J'arrive bien a avoir un .wine dans /root/.wine, mais impossible de trouver le winecfg dont il parle ci dessous
Run "winecfg" from a consolewindow or from the dotpups-menu.
Et j'ai essayer de télécharger le fichier ci dessous mais sans succés.
A la fin dans le dotpup, je n'avais plus la liste des programmes ???

If it will not launch, install this pre-configured "/root/.wine":
http://dotpups.de/dotpups/Emulators/Wine-0.9.22/Wine-0.9.22-drive_c-and-Wordview.pup
OR
http://dotpups.de/dotpups/Emulators/Wine-0.9.22/Wine-0.9.22-drive_c-and-Opera-9.02-Flash9.pup

Et au bout de 2 heures j'ai du laisser tomber et repartir à zéro avec pupfix=ram.

Pas facile, je maitrise pas encore assez les différents répertoires et leurs utilités, ainsi que les commandes, et le dotpup et pupget on en parle pas.

Bref j'ai un peu le noir, même si c'est écrit en rouge.

Salut,
A+
RGB


c'est drôle vraiment! car si vous suivez mon mode d'emploi, téléchargements compris, en 1 h vous avez installé puppy 2.02 et wine .16 et tout fonctionne

et si vous avez open office sous windows, firefox, audacity, filezilla, gimp, nPOPQ, miranda, cette heure suffit pour que votre puppy puisse utiliser tous ces programmes. ajoutez UDP pour tout pouvoir écrire en unicode. je crois même que pixia (qui n'existe pas en linux Sad ) démarre dans la version .16 ! le problème sera plutôt d'installer la tablette graphique (hum !)

vous aurez ainsi un vaste environnement fonctionnant aussi bien en windows qu'en winny-puppy...

une seule chose amère pour certains francophones: visionner des vidéos en format microsoft utilisé par la télé française publique est horriblement difficile avec les versions normales de puppy qui fonctionnent entièrement en RAM...

si on veut ça, et ne pas merdouiller, il faut passer tout de suite à Kuliax Sad dommage, je sais, mais c'est comme ça....

salut

oui
Back to top
View user's profile Send private message 
gw

Joined: 22 Apr 2006
Posts: 89
Location: Suisse

PostPosted: Wed 23 May 2007, 15:46    Post subject:  

Salut "Rogebe",

Toutes les versiosn de Wine ne fonctionnent pas correctement avec la Puppy, mais je ne connais pas la raison.
La seule que j'ai trouvée qui n'a jamais fait la moindre histoire est la 0.9.17
Tu peux la télécharger sous forme de dotpup sur le site de Mark à l'adresse suivante :
http://www.dotpups.de/dotpups/Emulators/
Elle porte le nom de Wine-0.9.17.pup
Je n'ai jamais rencontré le moindre problème avec celle-là sur les versions Puppy 2.10, 2.11, 2.12, 2.13, 2.14 et 2.16.

Espérant t'avoir aidé quelque peu
--
GW
Back to top
View user's profile Send private message Visit poster's website 
Rogebe

Joined: 14 May 2007
Posts: 17

PostPosted: Wed 23 May 2007, 16:35    Post subject:  

Bonsoir à tous, je vous remercie de votre soutient car j'en avais vraiment marre ce soir de ne pas trouver de solution à l'installation de wine. A tel point que je poste depuis Windows.


Pour réponde à Oui :

En fait nos messages ont du se croiser quand j'ai écris le poste en rouge il n'y avait pas votre réponse d'ou le sentiment que vous avez pu avoir de ne pas avoir tenu compte de votre réponse.
Donc si j'ai bien compris, il faut que j'utilise la version wine-0.9.16-i486-S10.2 et la version 2.02 de puppy. J'ai pourtant eu pas mal de difficultés avec la version 2.13 et notamment l'arrêt du PC, l'impossibilité de configurer correctement wlm ...
Ceci dit votre réponse est trés claire et je vais m'employer à tester tout cela.


Pour répondre à Béèm :

La version 0.9.35, oui mais avec quel version de puppy, puisqu'apparement ça a son importance ?


Pour répondre à Gw :

Je vais donc essayer à la lumière de ces expériences la 0.9.16 et la 0.9.17 d'abord avec la version de puppy que j'ai puis j'essayerais les conseils de Oui en prenant la 2.02 mais j'ai bien peur qu'elle ne soit pas francisée. J'ai rien contre la lanque anglaise mais çà le fait un peu mieux en français, du moins pour moi.

Un grand merçi à tous pour vos conseils avisés et je manquerais pas de vous tenir au courant de ma démarche.

A bientôt.

RGB
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Wed 23 May 2007, 17:57    Post subject:  

J'utilise le 0.9.35 avec le 2.16 de Puppy, quoique je ne fait pas grand chose avec pour l'instant.

La dépendence de Wine par rapport à la version Puppy a été invoqué effectivement, mais sans qu'une réponse définitive a été donnée.

Des personnes utilisait Wine x.x.xx avec Puppy x.xx sans problèmes tandis que d'autres avec la même combinaison avait des problèmes.
Cela n'a jamais été claire pourquoi cela.
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 1847
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Thu 24 May 2007, 12:21    Post subject:  

bonsoir

je crois avoir lu que les bibliothèques de wine ont changé vers la version .20

il parfaitement possible que la .17 ou la .21 (voir même plus hautes) aient encore les anciennes bibliothèques.

et il s'est passé quelque chose de semblable depuis puppy 2.10 environ.

donc double raison d'incompatibilité récente et si solutionner le problème n'est pas une priorité pour barry, on devra se contenter de ça à l'avenir

j'ai oublié un détail important: les versions comprimées 50 Moctet (et celles qui éventuellement en dérivent) ne fonctionnent pas du tout avec wine. on y a sans doute retiré pour les faire tenir dans 50 Moctet des choses importantes pour wine.

il fut un temps où je testais de manière aussi poussée que possible toutes les versions de puppy, parce que j'espérais qu'il en ressortirait une version winny-puppy (que je me suis d'ailleurs faite moi-même, mais seulement par remastering, pas en recompilant vraiment, donc une version d'amateur), mais ayant d'autres activités, je ne le fais plus, ne suis même plus un utilisateur régulier de puppy, et ne peux donc dire quand a eu lieu le changement.

le problème de la langue pour la version 2.02 n'en est pas un:

le menu de JWM peut être entièrement traduit en automatique, et ce de manière utile (=intelligible) par le dotpup

Puppymenu-translator.pup

(on peut d'ailleurs changer les traductions ou créer une langue soi-même)

et le clavier est adaptable grâce au dotpup

Keyboard-layouts.pup .

n'utilisant que les claviers suisses français ou allemand, j'ignore comment fonctionnent les autres. mais avec le suisse français, on peut tout écrire car ´`^¨~ sont disponibles comme accents le ç est aussi présent (ce qui manque, c'est le ß allemand, même sur le suisse allemand). il ne manque que les interrogatif / exclamatif inversés de l'espagnol et les lettres nordiques et slaves. mais pour les langues occidentales, pas le moindre problème!

avec ça, on a un système largement francisé / internationalisé dans toute version quelconque de puppy.

comme moi j'utilise mes applications windows (open office etc...) avec wine, j'ai ces programmes dans la langue où je les ai en windows (français, ou allemand, ou anglais) et n'ai rien besoin de faire pour changer la langue. j'évite d'encombrer mon disque dur avec des applications en double et ne faisant que rigoureusement la même chose! puppy est en français ou en allemand, et seuls quelques programmes spécifiquement linux et non disponibles en windows restent en anglais.

notez qu'on peut réinstaller les programmes windows source libre dans la pseudo-partition C:\ de wine, ce qui en facilite l'usage, puisque dans une fenêtre à part dans "winefile"

donc je ne prêche pas pour windows, mais pour utiliser le travail sous windows de programmeurs libres et source libre pour changer plus facilement et avec moins de contraintes la langue!

improved-remaster-script-2.10.pup

permet de graver vraiment facilement le système ainsi créé pour l'installer commodément sur un autre CD, le passer à un copain etc... 10 minutes et c'est fini!

les aides en français sont sur le web.

dans un autre message de ce forum, j'ai donné un lien sur une très vaste bibliothèque.

salut

oui
Back to top
View user's profile Send private message 
papos


Joined: 21 Dec 2006
Posts: 120
Location: france

PostPosted: Wed 30 May 2007, 06:19    Post subject: Installation de Wine  

Bonjour
perso j'utilise la muppy007 sans doute la version la plus debuguée basée sur une puppy 2.13 c'est la seule ou j'ai pu installer powerpoint
paltalk se charge mais bug

A bientôt.
papos
>
<La seule que j'ai trouvée qui n'a jamais fait la moindre histoire est la 0.9.17
<Tu peux la télécharger sous forme de dotpup sur le site de Mark à l'adresse suivante :
<http://www.dotpups.de/dotpups/Emulators/
<Elle porte le nom de Wine-0.9.17.pup
Back to top
View user's profile Send private message Visit poster's website 
Rogebe

Joined: 14 May 2007
Posts: 17

PostPosted: Wed 30 May 2007, 07:26    Post subject:  

Bonjour à tous,

Voila où j'en suis de mes essais.

J'ai essayé avec la 2.14 (p3 à 55O avec 392 de ram, windows XP pro Sp2 en fat 32)

la version Wine-0.9.17, la Wine-0.9.22, la Wine-0.9.35

Impossible de trouver la 0.9.16 et j'ai eu énormément de mal avec la puppy 2.02 (démarrage uniquement en Xvesa, configuration limitée, pas de souris usb...) et j'ai lachement abandonné (Pardon Oui).

Seule fonctionne la Wine-0.9.17 (et bien sûr pas tous les softs de Windows). L'installation a été faite assez facilement par Wine-0.9.17.pup (on télécharge le fichier et on clique dessus).
On trouve bien dans /usr/bin le fichier winecfg pour la configuration du bureau virtuel (que je n'ai pas touché) et en cliquant sur wineboot on accéde au lecteur /C: de wine (et aux autres d'ailleurs) et on peut démarrer ou installer des fichiers de Windows.

Avec la Wine-0.9.22 je ne retouve pas de dossier Wine et rien ne fonctionne !!!???

Avec la Wine-0.9.35 j'ai du redimensionner le fichier de sauvegarde pour que l'installation puisse se faire mais je n'ai pas trouvé comment démarrer Wine. Il est pourtant dit qu'il doit y avoir un raccourci dans le menu mais ??? Cette version est très différente de la 0.9.17. il y a des fichiers dans /usr/lib mais mystére pour moi. Si quelqu'un a des infos, je suis preneur.

Je vais chercher encore et je vous tiendrais au courant.

A+
RGB
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [29 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1100s ][ Queries: 12 (0.0238s) ][ GZIP on ]